text-icu: Bindings to the ICU library

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

Haskell bindings to the International Components for Unicode (ICU) libraries. These libraries provide robust and full-featured Unicode services on a wide variety of platforms.

Features include:


[Skip to Readme]

Properties

Versions 0.1, 0.2.0.0, 0.3.0.0, 0.4.0.0, 0.4.0.1, 0.5.0.0, 0.5.0.1, 0.6.0.0, 0.6.0.1, 0.6.2.1, 0.6.3.0, 0.6.3.1, 0.6.3.2, 0.6.3.3, 0.6.3.4, 0.6.3.5, 0.6.3.6, 0.6.3.7, 0.7.0.0, 0.7.0.1, 0.7.1.0, 0.8.0, 0.8.0.1, 0.8.0.2, 0.8.0.2, 0.8.0.3, 0.8.0.4
Change log changelog.md
Dependencies base (>=4.8 && <5), bytestring, deepseq (>=1.4.2.0), text (>=0.9.1.0 && <1.3 || >=2.0 && <2.1), time (>=1.5 && <1.13) [details]
License BSD-3-Clause
Copyright 2009-2015 Bryan O'Sullivan
Author
Maintainer Vladimir Shabanov <dev@vshabanov.com>
Category Data, Text
Home page https://github.com/haskell/text-icu
Bug tracker https://github.com/haskell/text-icu/issues
Source repo head: git clone https://github.com/haskell/text-icu
Uploaded by VladimirShabanov at 2022-07-24T20:44:36Z

Modules

Downloads

Maintainer's Corner

Package maintainers

For package maintainers and hackage trustees


Readme for text-icu-0.8.0.2

[back to package description]

Text-ICU: Comprehensive support for string manipulation

This package provides the Data.Text.ICU library, for performing complex manipulation of Unicode text. It provides features such as the following:

Prerequisites

This library is implemented as bindings to the well-respected ICU library (which is not bundled, and must be installed separately).

macOS

brew install icu4c
brew link icu4c --force

You might need:

export PKG_CONFIG_PATH="/usr/local/opt/icu4c/lib/pkgconfig"

Debian/Ubuntu

sudo apt-get update
sudo apt-get install libicu-dev

Fedora/CentOS

sudo dnf install unzip libicu-devel

Nix/NixOS

nix-shell --packages icu

Windows/MSYS2

Under MSYS2, ICU can be installed via pacman.

pacman --noconfirm -S mingw-w64-x86_64-icu

Depending on the age of the MSYS2 installation, the keyring might need to be updated to avoid certification issues, and pkg-config might need to be added. In this case, do this first:

pacman --noconfirm -Sy msys2-keyring
pacman --noconfirm -S mingw-w64-x86_64-pkg-config

Windows/stack

With stack on Windows, which comes with its own bundled MSYS2, the following commands give up-to-date system dependencies for text-icu-0.8.0 (tested 2022-02-07):

stack exec -- pacman --noconfirm -Sy msys2-keyring
stack exec -- pacman --noconfirm -S mingw-w64-x86_64-icu
stack exec -- pacman --noconfirm -S mingw-w64-x86_64-pkg-config

Compatibility

Upstream ICU occasionally introduces backwards-incompatible API breaks. This package tries to stay up to date with upstream, and is currently more or less in sync with ICU 70.

Minimum required version is ICU 62.

Get involved!

Please report bugs via the github issue tracker.

Authors

This library was written by Bryan O'Sullivan.